Fedora-Linux.nl Forumindex Fedora-Linux.nl
Het forum van Fedora-Linux.nl.
Deze site wordt gehost door Exonet Internet Services
 
 FAQFAQ   ZoekenZoeken   GebruikerslijstGebruikerslijst   GebruikersgroepenGebruikersgroepen   RegistrerenRegistreren 
 ProfielProfiel   Log in om je privéberichten te bekijkenLog in om je privéberichten te bekijken   InloggenInloggen 

OpenSSH installatie gaat niet goed

 
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Software
Vorige onderwerp :: Volgende onderwerp  
Auteur Bericht
schapie



Geregistreerd op: 05 Nov 2007
Berichten: 2

BerichtGeplaatst: Ma Nov 05, 2007 1:30 pm    Onderwerp: OpenSSH installatie gaat niet goed Reageren met citaat

Hallo allemaal,

Ik heb een probleem met het installeren van openssh

Fedora core 6
openssh versie 4.3p2 (draait prima maar is van 4 mei 2006)

Nu wil ik openssh versie 4.7p1 installeren. maar dat gaat niet. Heb ik een incompatible versie voor fedora of is er iets anders loos....? Ik begrijp dat het up-to-date houden van je ssh server redelijk cruciaal is (ivm beveiliging) Is 4.7p1 wel de juiste versie die ik moet installeren?

als ik 4.7p1 probeer te installeren dan krijg ik als ik ./configure uitvoer de volgende melding:
*** Can't find recent OpenSSL libcrypto (see config.log for details) ***
Terug naar boven
Profiel bekijken Stuur privébericht
sciurius



Geregistreerd op: 28 Sep 2006
Berichten: 1473
Woonplaats: Exloo

BerichtGeplaatst: Ma Nov 05, 2007 1:47 pm    Onderwerp: Reageren met citaat

Over het algemeen zijn ze bij Fedora behoorlijk kien op security opdates. Als er geen nieuwere versies (door Fedora) zijn uitgebracht dan is de kans redelijk groot dat de security fixes niet belangrijk genoeg waren om een nieuwe versie voor uit te brengen.
Terug naar boven
Profiel bekijken Stuur privébericht Website bekijken
klaasjan



Geregistreerd op: 22 Dec 2005
Berichten: 868

BerichtGeplaatst: Ma Nov 05, 2007 3:53 pm    Onderwerp: Re: OpenSSH installatie gaat niet goed Reageren met citaat

schapie schreef:

Ik heb een probleem met het installeren van openssh

Fedora core 6
openssh versie 4.3p2 (draait prima maar is van 4 mei 2006)

Nu wil ik openssh versie 4.7p1 installeren. maar dat gaat niet. Heb ik een incompatible versie voor fedora of is er iets anders loos....? Ik begrijp dat het up-to-date houden van je ssh server redelijk cruciaal is (ivm beveiliging) Is 4.7p1 wel de juiste versie die ik moet installeren?


Fedora heeft een uitgebreid aanbod aan ondersteunde paketten. Zolang een Fedora versie ondersteund wordt mag je er vanuit gaan dat eventuele relevante veiligheidsproblemen snel als update beschikbaar worden gezet.
Zorg er wel voor dat je je systeem met "yum upgrade" of de update GUI bij de tijd houdt.

De Fedora 6 distributie die jij gebruikt wordt nog tot 7 december ondersteund. Persoonlijk zou ik me daar meer zorgen over maken dan het exacte versienummer van OpenSSH.

Wat jij probeert is de taak van de Fedora bouwers over te nemen door zelf de packages te bouwen. Op zich kan dat wel, maar dat betekent wel dat je zelf verantwoordelijk bent voor het up to date houden en je ook zelf moet bepalen wanneer je wel of niet moet updaten.

Citaat:

als ik 4.7p1 probeer te installeren dan krijg ik als ik ./configure uitvoer de volgende melding:
*** Can't find recent OpenSSL libcrypto (see config.log for details) ***


Je bent duidelijk niet echt thuis in het zelf bouwen van software (anders had je geweten dat je de bij libraries horende -devel packages moet installeren). Bedenk wel dat ook als je een werkende OpenSSH server in elkaar kan bakken je nog steeds een hoop werk moet doen om te zorgen dat de configuratie zo werkt dat deze server ook echt gaan werken.
Uiteraard een prima projectje om uit te zoeken hoe alles werkt, maar voor een server die je aan je internet verbinding hangt lijkt het mij niet dat je daarmee de veiligheid verbetert.
Terug naar boven
Profiel bekijken Stuur privébericht
schapie



Geregistreerd op: 05 Nov 2007
Berichten: 2

BerichtGeplaatst: Ma Nov 05, 2007 3:55 pm    Onderwerp: updates Reageren met citaat

openssh 4.3p2 is voor fedora core 6 dus de meest recente versie?
that's all i needed to know...

bedankt voor de extra info... ik denk inderdaad dat het tijd wordt om te updaten naar fedora 7 (daarna wellicht naar 8 als dat geen problemen geeft)

ssh configureren heb ik nog nooit problemen mee gehad... dat gaat wel lukken.
Terug naar boven
Profiel bekijken Stuur privébericht
Berichten van afgelopen:   
Nieuw onderwerp plaatsen   Reageren    Fedora-Linux.nl Forumindex -> Software Tijden zijn in GMT + 1 uur
Pagina 1 van 1

 
Ga naar:  
Je mag geen nieuwe onderwerpen plaatsen in dit subforum
Je mag geen reacties plaatsen in dit subforum
Je mag je berichten niet bewerken in dit subforum
Je mag je berichten niet verwijderen in dit subforum
Je mag niet stemmen in polls in dit subforum


Powered by phpBB © 2001, 2005 phpBB Group
Vertaling door Lennart Goosens.